package com.goldencode.testcases;

import com.goldencode.p2j.util.*;
import com.goldencode.p2j.persist.*;
import com.goldencode.testcases.dmo._temp.*;
import com.goldencode.p2j.ui.*;

import static com.goldencode.p2j.util.BlockManager.*;
import static com.goldencode.p2j.ui.LogicalTerminal.*;

public class Vadim22
{
   TempRecord1.Buf tt = TemporaryBuffer.define(TempRecord1.Buf.class, "tt", false);

   final QueryWrapper query0 = new QueryWrapper(false);

   public void execute()
   {
      externalProcedure(new Block()
      {
         handle h = new handle();

         public void init()
         {
            TransactionManager.registerUndo(h);
         }

         public void body()
         {
            RecordBuffer.openScope(tt);
            tt.create();
            tt.setI(new integer(6));
            message("yes1!");
            message("yes2!");
            message("yes3!");
            RecordBuffer.create(h, "tt");
            query0.changeForwardOnly(new logical(true));
            query0.prepare("FOR EACH tt NO-LOCK");
            query0.queryOpen();
            query0.getNext();
            query0.getNext(67);
            query0.getNext(67, 11);
            query0.getPrev();
            query0.getPrev(67);
            query0.getPrev(67, 11);
            query0.getFirst();
            query0.getFirst(67);
            query0.getFirst(67, 11);
            query0.getLast();
            query0.getLast(67);
            query0.getLast(67, 11);
            query0.getCurrent();
            query0.getCurrent(67);
            query0.getCurrent(67, 11);
         }
      });
   }
}
